<?
	include_once "IPSLogger.ips.php";
	include_once "IPSShadowing_Configuration.ips.php";
	include_once "IPSShadowing_Control.ips.php";
	include_once "IPSShadowing_Movement.ips.php";

	// ----------------------------------------------------------------------------------------------------------------------------
	if ($IPS_SENDER=='WebFront') {
	   $ControlId   = $IPS_VARIABLE;
	   $DeviceId    = get_DeviceIdByControlId($ControlId);
		$ControlType = get_ControlType($ControlId);

	   switch($ControlType) {
			case c_Control_Movement:
			   IPSShadowing_MoveByControl($ControlId, $IPS_VALUE);
			   break;
			case c_Control_ProgramNight:
			case c_Control_ProgramDay:
			case c_Control_ProgramTemp:
			case c_Control_ProgramPresent:

			case c_Control_TempProfile:
			case c_Control_BeginOfDayTime:
			case c_Control_EndOfDayTime:

			case c_Control_ManualChange:
			case c_Control_TempChange:
			case c_Control_MsgPrioTemp:
			case c_Control_MsgPrioProg:
			   IPSShadowing_SetValue($ControlId, $IPS_VALUE);
			   break;

			case c_Control_BeginOfDayMode:
			case c_Control_EndOfDayMode:
			   IPSShadowing_SetMode($ControlId, $IPS_VALUE);
			   break;

			case c_Control_Automatic:
			   IPSShadowing_SetAutomatic($ControlId, $IPS_VALUE);
			   break;

			default:
			   IPSLogger_Err(__file__, "Error Unknown ControlType $ControlType");
			   Exit;
	   }

	// ----------------------------------------------------------------------------------------------------------------------------
	} elseif ($IPS_SENDER=='Variable') {
	   $EventName = IPS_GetName($IPS_EVENT);
		$DeviceLevel          = $IPS_VALUE;
		$DeviceName           = $EventName;
		$DeviceId             = IPS_GetCategoryIDByName($DeviceName, c_ID_Devices);
      $DeviceConfig         = get_ShadowingConfiguration();
		$DeviceType           = $DeviceConfig[$DeviceName][c_Property_DeviceType];
		$DevicePath           = $DeviceConfig[$DeviceName][c_Property_DevicePath];

		if ($DeviceType==c_DeviceType_Auto) {
		   $DeviceType = get_DeviceTypeByInstanceId(get_InstanceIDByDevicePath($DevicePath));
		}

		switch($DeviceType) {
		   case c_DeviceType_ShutterModule:
				//IPSShadowing_MoveByEvent($DeviceId, $DeviceLevel);
				break;
		   case c_DeviceType_Homematic:
				IPSShadowing_MoveByEvent($DeviceId, 100-($DeviceLevel*100));
				break;
			default:
			   IPSLogger_Err(__file__, "Unknown DeviceType '$DeviceType' for Shadowing of Device '$DeviceName'");
			   exit;
		}
	}
?>