<?
	// Identifier Constants
	// --------------------------------------------------------------------------
	define ("c_ID_Shadowing",					20490);
	define ("c_ID_Devices",						27387);
	define ("c_ID_LogMessages",				22866);
	define ("c_ID_Settings",					18627);
	define ("c_ID_LogId",				      44832);
	define ("c_ID_RefreshTimerScript",		39512);
	define ("c_ID_ProgramTimerScript",	   34176);
	define ("c_ID_ResetTimerScript",	   	53261);
	define ("c_ID_ChangeSettingsScript",	19102);

	// Shadowing Controls
	// --------------------------------------------------------------------------
	define ("c_Control_Movement",				"Movement");
	define ("c_Movement_Down",					"Runter");
	define ("c_Movement_Stop",					"Stop");
	define ("c_Movement_Up",					"Hoch");
	define ("c_Movement_Space",				" ");
	define ("c_Movement_Opened",				"Offen");
	define ("c_Movement_25",					"25%");
	define ("c_Movement_50",					"50%");
	define ("c_Movement_75",					"75%");
	define ("c_Movement_Shadowing",			"Beschattung");
	define ("c_Movement_Dimout",				"Abdunkelung");
	define ("c_Movement_Closed",				"Geschlossen");

	define ("c_MovementId_Closed",			0);
	define ("c_MovementId_Dimout",			1);
	define ("c_MovementId_Shadowing",		2);
	define ("c_MovementId_75",					3);
	define ("c_MovementId_50",					4);
	define ("c_MovementId_25",					5);
	define ("c_MovementId_Opened",			6);
	define ("c_MovementId_Space",				7);
	define ("c_MovementId_Down",				8);
	define ("c_MovementId_Stop",    			9);
	define ("c_MovementId_Up",					10);


	define ("c_Control_ProgramNight",		"ProgramNight");
	define ("c_Control_ProgramDay",			"ProgramDay");
	define ("c_Control_ProgramTemp",			"ProgramTemp");
	define ("c_Control_ProgramPresent",		"ProgramPresent");
	define ("c_Control_Position",				"Position");
	define ("c_Control_Display",				"Display");
	define ("c_Control_StepsToDo",			"StepsToDo");
	define ("c_Control_Step",					"Step");
	define ("c_Control_StartTime",			"StartTime");
	define ("c_Control_Automatic",			"Automatic");
	define ("c_Control_ManualChange",		"ManualChange");
	define ("c_Control_TempChange",			"TemperatureChange");
	define ("c_Control_TempProfile",			"TempProfile");
	define ("c_Control_BeginOfDayMode",		"BeginOfDayMode");
	define ("c_Control_BeginOfDayTime",		"BeginOfDayTime");
	define ("c_Control_EndOfDayMode",		"EndOfDayMode");
	define ("c_Control_EndOfDayTime",		"EndOfDayTime");

	define ("c_ModeId_Individual",			0);
	define ("c_ModeId_Twillight",				1);
	define ("c_ModeId_LimitedTwillight",	2);


	// Common Settings Controls
	define ("c_Control_MsgPrioTemp",				"MsgPrioTemp");
	define ("c_Control_MsgPrioProg",				"MsgPrioProg");

	// Programm Difinition
	// --------------------------------------------------------------------------
	define ("c_Program_Manual",					"Manuell");
	define ("c_Program_Opened",					"Offen");
	define ("c_Program_OpenedOrShadowing",		"Offen oder Beschattung");
	define ("c_Program_OpenedAndShadowing",	"Offen und Beschattung");
	define ("c_Program_OpenedDay",				"Geffnet Tag");
	define ("c_Program_OpenedNight",				"Geffnet Nacht");
	define ("c_Program_Closed",					"Geschlossen");
	define ("c_Program_Dimout",					"Geschlossen");
	define ("c_Program_DimoutOrShadowing",		"Schatten oder Geschl");
	define ("c_Program_DimoutAndShadowing",	"Schatten und Geschl.");

	define ("c_ProgramId_Opened",					1);
	define ("c_ProgramId_OpenedOrShadowing",	2);
	define ("c_ProgramId_OpenedAndShadowing",	3);
	define ("c_ProgramId_OpenedDay",				4);
	define ("c_ProgramId_OpenedNight",			5);
	define ("c_ProgramId_Closed",					6);
	define ("c_ProgramId_Dimout",					7);
	define ("c_ProgramId_DimoutOrShadowing",	8);
	define ("c_ProgramId_DimoutAndShadowing",	9);
	define ("c_ProgramId_Manual",					10);

	define ("c_ShadowingType_Shutter",			"Shutter");
	define ("c_ShadowingType_Jalousie",			"Jolousie");

	define ("c_Format_DateTime",					'Y.m.d H:i:s');

	// Device Configuration Properties
	// --------------------------------------------------------------------------
	define ("c_Property_ShadowingType",			"ShadowingType");
	define ("c_Property_TimeOpening",			"TimeOpening");
	define ("c_Property_TimeClosing",			"TimeClosing");
	define ("c_Property_TimeDimoutUp",			"TimeDimoutUp");
	define ("c_Property_TimeDimoutDown",		"TimeDimoutDown");
	define ("c_Property_TimePause",				"TimePauseBreak");
	define ("c_Property_DeviceType",				"DeviceType");
	define ("c_Property_DevicePath",				"DevicePath");
	define ("c_Property_DevicePath2",			"DevicePath2");

	define ("c_DeviceType_Auto",					"Auto");
	define ("c_DeviceType_Homematic",			"Homematic");
	define ("c_DeviceType_MoellerEaton",		"MoellerEaton");
	define ("c_DeviceType_Enocean",				"Enocean");
	define ("c_DeviceType_LCN",					"LCN");
	define ("c_DeviceType_FS20",					"FS20");
	define ("c_DeviceType_1Wire",					"1Wire");
	define ("c_DeviceType_ShutterModule",		"Shuttermodule");
	define ("c_DeviceType_Custom",				"Custom");
?>